#include "cctrlcheckboxid.h"

CCtrlCheckBoxID::CCtrlCheckBoxID(QWidget *parent, int iID)
    : QCheckBox(parent)
{
    m_iID=iID;
    connect(this,SIGNAL(clicked(bool)),this,SLOT(MClick_Slot(bool)));
}

void CCtrlCheckBoxID::MClick_Slot(bool istate)
{
    emit MClick_Signal(m_iID,istate);
}

